function plot_imputation3(fid, xt, xn1, xn2, dpair, did, strtitles)

dsize = [3 size(dpair,1)];

figure(fid)
for k=1:size(dpair,1)
    subplot(dsize(1), dsize(2), k)
    plot(xt(:,dpair(k,1)), xt(:,dpair(k,2)), '.', 'markersize', 2)
    title(strtitles{1}, 'FontSize', 20)
    xlabel(did{dpair(k,1)}, 'FontSize', 15)
    ylabel(did{dpair(k,2)}, 'FontSize', 15)
    axis([0 1023 0 1023]), axis square

    subplot(dsize(1), dsize(2), k+size(dpair,1))
    plot(xn1(:,dpair(k,1)), xn1(:,dpair(k,2)), '.', 'markersize', 2)
    title(strtitles{2}, 'FontSize', 20)
    xlabel(did{dpair(k,1)}, 'FontSize', 15)
    ylabel(did{dpair(k,2)}, 'FontSize', 15)
    axis([0 1023 0 1023]), axis square

    subplot(dsize(1), dsize(2), k+size(dpair,1)*2)
    plot(xn2(:,dpair(k,1)), xn2(:,dpair(k,2)), '.', 'markersize', 2)
    title(strtitles{3}, 'FontSize', 20)
    xlabel(did{dpair(k,1)}, 'FontSize', 15)
    ylabel(did{dpair(k,2)}, 'FontSize', 15)
    axis([0 1023 0 1023]), axis square
end

end
